SCNPRINTF(9)

NAME
scnprintf - Format a string and place it in a buffer

SYNOPSIS

int scnprintf (char * buf, size_t size, const char * fmt, ...);

ARGUMENTS

buf The buffer to place the result into

size
    The size of the buffer, including the trailing null space

fmt The format string to use @...: Arguments for the format string

... variable arguments

DESCRIPTION

The return value is the number of characters written into buf not including the trailing '\0'. If size is <= 0 the function returns 0. If the return is greater than or equal to size, the resulting string is truncated.